const sql = require('mssql');

const createUserTable = async () => {
  try {
    const request = new sql.Request();
    await request.query(`
      IF OBJECT_ID('UserDetails', 'U') IS NULL
      BEGIN
        CREATE TABLE UserDetails (
          imeiNumber VARCHAR(255) PRIMARY KEY,
          mobileNumber BIGINT NOT NULL
        )
      END
    `);
    console.log('UserDetails table created successfully');
  } catch (error) {
    console.log('Error creating UserDetails table: ' + error);
  }
};

module.exports = { createUserTable };

